package com.house365.beans.entity;

import javax.validation.constraints.NotNull;

/**
 * @author huang xiner
 * @version 1.0
 * @date 2021/9/18 12:21
 */
public class MessageDto {
    /**
     * 用户id
     */
    @NotNull
    private Integer userId;
    /**
     * accid
     */
    private String accid;
    /**
     * 楼盘id
     */
    private Integer listid;
    /**
     * 物业类型：1住宅 ，2写字楼， 3别墅 ，4商铺， 5公寓
     */
    private Integer channel;
    /**
     * 姓名
     */
    private String name;
    /**
     * 城市
     */
    private String city;
    /**
     * 头像
     */
    private String avatar;
    /**
     * 平台来源：1代理，2直卖 ，3房博士， 4城市客服 默认为2
     */
    private Integer source;
    /**
     * 描述
     */
    private String description;
    /**
     * 微信链接
     */
    private String wechat_link;
    /**
     * 电话
     */
    private String tel;
    /**
     * vr带看地址
     */
    private String vr_daikan;
    /**
     * 操作
     */
    private String operate;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getAccid() {
        return accid;
    }

    public void setAccid(String accid) {
        this.accid = accid;
    }

    public Integer getListid() {
        return listid;
    }

    public void setListid(Integer listid) {
        this.listid = listid;
    }

    public Integer getChannel() {
        return channel;
    }

    public void setChannel(Integer channel) {
        this.channel = channel;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getWechat_link() {
        return wechat_link;
    }

    public void setWechat_link(String wechat_link) {
        this.wechat_link = wechat_link;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getVr_daikan() {
        return vr_daikan;
    }

    public void setVr_daikan(String vr_daikan) {
        this.vr_daikan = vr_daikan;
    }

    public String getOperate() {
        return operate;
    }

    public void setOperate(String operate) {
        this.operate = operate;
    }

    @Override
    public String toString() {
        return "MessageDto{" +
                "userId=" + userId +
                ", accid='" + accid + '\'' +
                ", listid=" + listid +
                ", channel=" + channel +
                ", name='" + name + '\'' +
                ", city='" + city + '\'' +
                ", avatar='" + avatar + '\'' +
                ", source=" + source +
                ", description='" + description + '\'' +
                ", wechat_link='" + wechat_link + '\'' +
                ", tel='" + tel + '\'' +
                ", vr_daikan='" + vr_daikan + '\'' +
                ", operate='" + operate + '\'' +
                '}';
    }
}
